features:
  secondary:
    - name: "White syntax highlighting theme for Web IDE"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/profile/preferences.html#syntax-highlighting-theme'
      image_url: '/images/12_9/webide-white-theme.png'
      reporter: phikai
      stage: create
      categories:
        - 'Web IDE'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/201931'
      description: |
        Users have strong preferences for consistency in the tools they use which is why GitLab has long supported alternative syntax highlighting themes. The white theme is the most popular across GitLab, however, our code editor areas have been inconsistent in applying a matching theme.

        The Web IDE is now consistent with the **White** syntax highlighting preference in the repository and diff areas of GitLab. We'll continue to [expand our support](https://gitlab.com/groups/gitlab-org/-/epics/2389) for syntax highlighting preferences in the Web IDE. We're also continuing to extend the [dark theme, introduced in GitLab 12.8,](/releases/2020/02/22/gitlab-12-8-released/#dark-syntax-highlighting-theme-for-web-ide) to the [rest of the Web IDE](https://gitlab.com/gitlab-org/gitlab/issues/199664), including the file tree and sidebars.

